List organization advertisers with account setup
curl --request GET \
--url https://api.interchange.io/api/v2/organization/advertisers/account-setup \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/organization/advertisers/account-setup"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/organization/advertisers/account-setup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"entries": [
{
"rosterEntryId": "<string>",
"advertiserId": "<string>",
"displayName": "<string>",
"relationshipClass": "owned",
"operatorRelationship": "organization",
"operatingMode": "managed",
"sandbox": true,
"system": true,
"binding": {
"provenance": "compatibility_account",
"state": "resolved",
"reason": "backing_account_missing"
},
"backing": {
"kind": "compatibility_account",
"accountId": 4503599627370495,
"advertiserId": "<string>"
},
"delegation": {
"grantRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner": {
"organizationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>"
},
"capabilities": [
"advertiser.read"
],
"status": "active",
"expiresAt": "2023-11-07T05:31:56Z"
},
"capabilities": {
"read": true,
"advertiserManagement": "available",
"campaignManagement": "available",
"relationshipManagement": "available"
},
"readiness": {
"state": "ready"
},
"operatorDomain": "<string>",
"operatorDisplayName": "<string>",
"brandDomain": "<string>",
"accountSetupState": "needs_setup",
"accountSetupRelationshipId": "<string>",
"accountSetupBlockedReason": "<string>",
"buysCount": 4503599627370495,
"lastActivityAt": "2023-11-07T05:31:56Z"
}
],
"unresolvedCounterpartyRelationships": [
{
"rosterEntryId": "<string>",
"displayName": "<string>",
"relationshipClass": "counterparty",
"operatorRelationship": "unresolved",
"operatingMode": "unresolved",
"sandbox": true,
"binding": {
"provenance": "adcp_account",
"state": "partial",
"reason": "backing_account_ineligible"
},
"backing": {
"kind": "authorized_relationship",
"relationshipRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"capabilities": {
"read": true,
"advertiserManagement": "unavailable",
"campaignManagement": "unavailable",
"relationshipManagement": "available"
},
"readiness": {
"state": "incomplete"
}
}
],
"lifecycles": [
{
"lifecycleId": "<string>",
"displayName": "<string>",
"provisioningMode": "managed",
"state": "invited",
"advertiserId": "<string>",
"targetAccountId": 4503599627370495,
"managementCapability": "available",
"joinLink": null,
"failure": {
"code": "<string>",
"recoverable": true
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"page": {
"limit": 250,
"truncated": true
},
"deliveredRelationshipClasses": [
"owned"
],
"lenses": {
"house": {
"needsSetupCount": 4503599627370495
},
"partnerManaged": {
"needsSetupCount": 4503599627370495
},
"selfServe": {
"needsSetupCount": 4503599627370495
},
"system": {
"needsSetupCount": 4503599627370495
}
}
},
"error": null
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Advertisers
List organization advertisers with account setup
Return a bounded advertiser roster with account-setup case state and lens counts for a seller storefront.
GET
/
organization
/
advertisers
/
account-setup
List organization advertisers with account setup
curl --request GET \
--url https://api.interchange.io/api/v2/organization/advertisers/account-setup \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/organization/advertisers/account-setup"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/organization/advertisers/account-setup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"entries": [
{
"rosterEntryId": "<string>",
"advertiserId": "<string>",
"displayName": "<string>",
"relationshipClass": "owned",
"operatorRelationship": "organization",
"operatingMode": "managed",
"sandbox": true,
"system": true,
"binding": {
"provenance": "compatibility_account",
"state": "resolved",
"reason": "backing_account_missing"
},
"backing": {
"kind": "compatibility_account",
"accountId": 4503599627370495,
"advertiserId": "<string>"
},
"delegation": {
"grantRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner": {
"organizationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>"
},
"capabilities": [
"advertiser.read"
],
"status": "active",
"expiresAt": "2023-11-07T05:31:56Z"
},
"capabilities": {
"read": true,
"advertiserManagement": "available",
"campaignManagement": "available",
"relationshipManagement": "available"
},
"readiness": {
"state": "ready"
},
"operatorDomain": "<string>",
"operatorDisplayName": "<string>",
"brandDomain": "<string>",
"accountSetupState": "needs_setup",
"accountSetupRelationshipId": "<string>",
"accountSetupBlockedReason": "<string>",
"buysCount": 4503599627370495,
"lastActivityAt": "2023-11-07T05:31:56Z"
}
],
"unresolvedCounterpartyRelationships": [
{
"rosterEntryId": "<string>",
"displayName": "<string>",
"relationshipClass": "counterparty",
"operatorRelationship": "unresolved",
"operatingMode": "unresolved",
"sandbox": true,
"binding": {
"provenance": "adcp_account",
"state": "partial",
"reason": "backing_account_ineligible"
},
"backing": {
"kind": "authorized_relationship",
"relationshipRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"capabilities": {
"read": true,
"advertiserManagement": "unavailable",
"campaignManagement": "unavailable",
"relationshipManagement": "available"
},
"readiness": {
"state": "incomplete"
}
}
],
"lifecycles": [
{
"lifecycleId": "<string>",
"displayName": "<string>",
"provisioningMode": "managed",
"state": "invited",
"advertiserId": "<string>",
"targetAccountId": 4503599627370495,
"managementCapability": "available",
"joinLink": null,
"failure": {
"code": "<string>",
"recoverable": true
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"page": {
"limit": 250,
"truncated": true
},
"deliveredRelationshipClasses": [
"owned"
],
"lenses": {
"house": {
"needsSetupCount": 4503599627370495
},
"partnerManaged": {
"needsSetupCount": 4503599627370495
},
"selfServe": {
"needsSetupCount": 4503599627370495
},
"system": {
"needsSetupCount": 4503599627370495
}
}
},
"error": null
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Response
List organization advertisers with account setup